Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 09-28-08, 01:22 PM   #1
dougdeep
Registered User
 
Join Date: Sep 2008
Posts: 19
Default Help with Xen Patches on 2.6.24-19-xen

I'm running Ubunty Hardy 8.04.1, x86_64 with the 2.6.24-19-xen.

I'd like to install the nvidia driver on my Dom0 kernel. I've tried many patches and many levels, but still can not get the driver to install.

I'm experienced with installing nvidia drivers, and I know to setup the kernel headers, and the necessary build tools before starting.

My latest attempt used the patch from this page, http://www.nvnews.net/vbulletin/showthread.php?t=110088, in conjunction with the 169.12 download.

I'm still receiving errors that it can not find my kernel source. I hacked the hell out of things to get it to go on and build, but it produced a segfaulting module.

Here's the error screen:

Code:
ERROR: If you are using a Linux 2.4 kernel, please make sure
         you either have configured kernel sources matching your
         kernel or the correct set of kernel headers installed
         on your system.

         If you are using a Linux 2.6 kernel, please make sure
         you have configured kernel sources matching your kernel
         installed on your system. If you specified a separate
         output directory using either the "KBUILD_OUTPUT" or
         the "O" KBUILD parameter, make sure to specify this
         directory with the SYSOUT environment variable or with
         the equivalent nvidia-installer command line option.

         Depending on where and how the kernel sources (or the
         kernel headers) were installed, you may need to specify
         their location with the SYSSRC environment variable or
         the equivalent nvidia-installer command line option.
I'm begging for help, I've spent 3 days on this now

All these patches floating around don't make it clear what they're trying to solve. Are they for dom0 kernels, domu kernels, or just kernels with xen enablement and not run with xen?
dougdeep is offline   Reply With Quote
Old 09-28-08, 01:52 PM   #2
dougdeep
Registered User
 
Join Date: Sep 2008
Posts: 19
Default Re: Help with Xen Patches on 2.6.24-19-xen

Okay, I've figured out that conftest.sh was failing to compile the test c file. A little googling and I found a person who encountered the same and appears to have some new patches:

https://bugs.launchpad.net/ubuntu/+s...24/+bug/216854

Compiles fine, but after a module insert, I get a ton of 'nvidia: Unknown symbol' errors.
dougdeep is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


All times are GMT -5. The time now is 07:14 PM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.